org.apache.uima.ruta.example.extensions

## Class ExampleTypeFunction

- java.lang.Object
- - org.apache.uima.ruta.RutaElement
  - - org.apache.uima.ruta.expression.RutaExpression
    - - org.apache.uima.ruta.expression.string.AbstractStringExpression
      - - org.apache.uima.ruta.expression.type.AbstractTypeExpression
        - - org.apache.uima.ruta.expression.type.TypeFunctionExpression
          - - org.apache.uima.ruta.example.extensions.ExampleTypeFunction

- All Implemented Interfaces:
    org.apache.uima.ruta.expression.IRutaExpression, org.apache.uima.ruta.expression.string.IStringExpression, org.apache.uima.ruta.expression.type.ITypeExpression

      public class ExampleTypeFunction
      extends org.apache.uima.ruta.expression.type.TypeFunctionExpression

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExampleTypeFunction(org.apache.uima.ruta.expression.string.AbstractStringExpression expr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.uima.ruta.expression.string.AbstractStringExpression` | `getExpr()`
    `String` | `getStringValue(org.apache.uima.ruta.rule.MatchContext context, org.apache.uima.ruta.RutaStream stream)`
    `org.apache.uima.cas.Type` | `getType(org.apache.uima.ruta.rule.MatchContext context, org.apache.uima.ruta.RutaStream stream)`

    - ### Methods inherited from class org.apache.uima.ruta.expression.RutaExpression

      `getTargetAnnotation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExampleTypeFunction

          public ExampleTypeFunction(org.apache.uima.ruta.expression.string.AbstractStringExpression expr)

  - ### Method Detail

    - #### getExpr

          public org.apache.uima.ruta.expression.string.AbstractStringExpression getExpr()

    - #### getType

          public org.apache.uima.cas.Type getType(org.apache.uima.ruta.rule.MatchContext context,
                                                  org.apache.uima.ruta.RutaStream stream)

    - #### getStringValue

          public String getStringValue(org.apache.uima.ruta.rule.MatchContext context,
                                       org.apache.uima.ruta.RutaStream stream)

Copyright © 2011–2022 The Apache Software Foundation. All rights reserved.